/// Valahia.shader edited by. V!0 2014 . For Urban Terror game

textures/valahia/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/valahia/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water

}

textures/valahia/ladderclip
{
        qer_trans 0.40
	  qer_editor_image textures/valahia/ladderclip.jpg 
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	  surfaceparm trans
}

textures/valahia/sky
{
	qer_editorimage env/vio1/blucloud_up.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks

	q3map_backSplash 0 0
	q3map_surfacelight 200
	q3map_sunExt 0.7 1 1 255 0 90 15 32

	skyparms env/vio1/blucloud - -
}

textures/valahia/white
{
	qer_editorimage "textures/valahia/white.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/valahia/white.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/black
{
	qer_editorimage "textures/valahia/black.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/valahia/black.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/rmt
{
	qer_editorimage "textures/valahia/rmt.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/valahia/rmt.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/urtj
{
	qer_editorimage "textures/valahia/urtj.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/valahia/urtj.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/fin
{
	qer_editorimage "textures/valahia/fin.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/valahia/fin.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/wood
{
	qer_editorimage "textures/valahia/wood.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/wood.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/water
{
        qer_editorimage textures/valahia/hq_water_a.tga
        qer_trans .5
        q3map_globaltexture
        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm water
        tessSize 64
        cull disable
        deformVertexes wave 256 sin 0.5 1.75 .5 .5
        {
            map textures/valahia/hq_water_a.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.010 .05
        }
        {
            map textures/valahia/hq_water_b.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll .05 -.010
        }
        {
            map textures/valahia/hq_water_c.tga
            blendFunc GL_DST_COLOR GL_ONE
            rgbGen identity
            tcMod scroll -.05 .010
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbgen identity
        }
}

textures/valahia/waterfall
{
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	surfaceparm detail
     q3map_surfacelight 50
     qer_trans 0.5
	cull none
	{
		map textures/valahia/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 -2
	}
}


textures/valahia/sphere_teleport
{
	qer_editorimage textures/valahia/sphere.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nosteps
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	qer_trans 0.5
	{
		clampmap textures/valahia/sphere.tga
		blendfunc add
		rgbGen wave inversesawtooth 0.8 0.2 0 0.5 
		tcMod rotate 15
	}

}

textures/valahia/glass
{
	surfaceparm nodamage
	surfaceparm slick
	qer_editorimage textures/valahia/glass.jpg
	surfaceparm trans
	cull disable
	qer_trans 0.5

	{
		map textures/valahia/glass.jpg
		blendfunc add
		//rgbGen vertex
		tcgen environment
		tcmod scale 4 4
	}
	
}

textures/valahia/glass2
{
	surfaceparm nodamage
	//surfaceparm slick
	qer_editorimage textures/valahia/glass2.jpg
	surfaceparm trans
	cull disable
	qer_trans 0.5

	{
		map textures/valahia/glass2.jpg
		blendfunc add
		//rgbGen vertex
		tcgen environment
		tcmod scale 4 4
	}
	
}

textures/valahia/trim
{
	surfaceparm nodamage
     surfaceparm noimpact
	surfaceparm slick
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 32
	q3map_lightimage textures/valahia/trim_glow.jpg
	qer_editorimage textures/valahia/trim.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/valahia/trim.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/valahia/trim_glow.jpg
		blendfunc GL_ONE GL_ONE
	}
	{
		map "textures/valahia/tint2.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/valahia/trim2
{
	surfaceparm nodamage
     surfaceparm noimpact
	surfaceparm slick
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 32
	q3map_lightimage textures/valahia/trim2_glow.jpg
	qer_editorimage textures/valahia/trim2.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/valahia/trim2.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/valahia/trim2_glow.jpg
		blendfunc GL_ONE GL_ONE
	}
	{
		map "textures/valahia/tint2.tga"
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/valahia/ligblue
{
	surfaceparm nodamage
     surfaceparm noimpact
	surfaceparm slick
	surfaceparm nomarks
	q3map_surfacelight 2000
	q3map_lightsubdivide 32
	q3map_lightimage textures/valahia/ligblue_glow.jpg
	qer_editorimage textures/valahia/ligblue.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/valahia/ligblue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/valahia/ligblue_glow.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/valahia/ligceil
{
	surfaceparm nodamage
     surfaceparm noimpact
	//surfaceparm slick
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/valahia/ligceil_glow.jpg
	qer_editorimage textures/valahia/ligceil.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/valahia/ligceil.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/valahia/ligceil_glow.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/valahia/neon_alb
{
	surfaceparm nodamage
     surfaceparm noimpact
	surfaceparm slick
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/valahia/neon_alb_glow.jpg
	qer_editorimage textures/valahia/neon_alb.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/valahia/neon_alb.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/valahia/neon_alb_glow.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/valahia/neon_vernil
{
	surfaceparm nodamage
     surfaceparm noimpact
	surfaceparm slick
	surfaceparm nomarks
	q3map_surfacelight 5000
	q3map_lightsubdivide 32
	q3map_lightimage textures/valahia/neon_vernil_glow.jpg
	qer_editorimage textures/valahia/neon_vernil.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/valahia/neon_vernil.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/valahia/neon_vernil_glow.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/valahia/laser
{
 	cull disable
 	cull none
 	surfaceparm noimpact
	surfaceparm nodamage
	surfaceparm nonsolid
 	surfaceparm nomarks
 	surfaceparm nolightmap
 
 	q3map_lightimage textures/valahia/laser.jpg
 	q3map_surfacelight 300
 	q3map_lightsubdivide 128

		{
 		map textures/valahia/laser.jpg
 		blendfunc gl_one gl_one
 		tcmod scroll 1.6 2.2
 		rgbgen identity
 		}
}

textures/valahia/con1
{
	qer_editorimage "textures/valahia/con1.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con2
{
	qer_editorimage "textures/valahia/con2.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con3
{
	qer_editorimage "textures/valahia/con3.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con4
{
	qer_editorimage "textures/valahia/con4.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con5
{
	qer_editorimage "textures/valahia/con5.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/valahia/con5.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con6
{
	qer_editorimage "textures/valahia/con6.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con6.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con7
{
	qer_editorimage "textures/valahia/con7.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con7.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con8
{
	qer_editorimage "textures/valahia/con8.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con8.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con9
{
	qer_editorimage "textures/valahia/con9.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con9.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con10
{
	qer_editorimage "textures/valahia/con10.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con10.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con11
{
	qer_editorimage "textures/valahia/con11.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/valahia/con11.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con12
{
	qer_editorimage "textures/valahia/con12.jpg"
	surfaceparm nodamage
	//surfaceparm slick
	{
		map "textures/valahia/con12.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/con13
{
	qer_editorimage "textures/valahia/con13.jpg"
	surfaceparm nodamage
	surfaceparm slick
	{
		map "textures/valahia/con13.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/sand
{
	qer_editorimage "textures/valahia/sand.jpg"
	surfaceparm nodamage
	{
		map "textures/valahia/sand.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/sand2
{
	qer_editorimage "textures/valahia/sand2.jpg"
	surfaceparm nodamage
	{
		map "textures/valahia/sand2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/stonetrim_0
{
	qer_editorimage "textures/valahia/stonetrim_0.jpg"
	surfaceparm nodamage
     surfaceparm slick
	{
		map "textures/valahia/stonetrim_0.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/stonetrim_1
{
	qer_editorimage "textures/valahia/stonetrim_1.jpg"
	surfaceparm nodamage
     surfaceparm slick
	{
		map "textures/valahia/stonetrim_1.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/stonetrim_2
{
	qer_editorimage "textures/valahia/stonetrim_2.jpg"
	surfaceparm nodamage
     surfaceparm slick
	{
		map "textures/valahia/stonetrim_2.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/stonetrim_3
{
	qer_editorimage "textures/valahia/stonetrim_3.jpg"
	surfaceparm nodamage
     surfaceparm slick
	{
		map "textures/valahia/stonetrim_3.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/stonetrim_4
{
	qer_editorimage "textures/valahia/stonetrim_4.jpg"
	surfaceparm nodamage
     //surfaceparm slick
	{
		map "textures/valahia/stonetrim_4.jpg"
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}

}

textures/valahia/spawn
{
	qer_editorimage textures/valahia/spawn.tga
	surfaceparm nodamage
	polygonoffset
	q3map_lightsubdivide 128
	q3map_surfacelight 100
	{
		map textures/valahia/spawn.tga
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 1 
	}
}

textures/valahia/cube
{
	surfaceparm nodamage
     surfaceparm noimpact
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_surfacelight 4000
	q3map_lightsubdivide 32
	q3map_lightimage textures/valahia/cube_glow.jpg
	qer_editorimage textures/valahia/cube.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/valahia/cube.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/valahia/cube_glow.jpg
		blendfunc GL_ONE GL_ONE
	}
}


















